Subject: bug#6529: --key option problem

From: Pádraig Brady <[email-masked]>
Date: Mon, 28 Jun 2010 22:21:18 +0100

On 28/06/10 19:42, Victor Grishchenko wrote:
> On 28 June 2010 18:07, Eric Blake <[email-masked]> wrote:
>> On 06/28/2010 08:26 AM, Victor Grishchenko wrote:
>> Thanks for the report.  However, I don't think this is a bug in sort,
>> but rather a misunderstanding on your part.  Your command says to use as
>> your primary key the substring consisting of fields 17 through 30, and
>> as secondary key the entire line.
> 
> My fault.
> Probably, it makes sense to reference the POS format explanation from
> the -k option description.

Yes, that is the crux of the problem.
I've already a tiny patch for that:
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6442
I'll apply that, merge this bug with 6442 and close that.

thanks,
Pádraig.